# H225_InfoRequestResponse Class Reference

`#include <h225.h>`

Inheritance diagram for H225_InfoRequestResponse:

List of all members.

## Public Types

enum | OptionalFields { e_nonStandardData, e_endpointAlias, e_perCallInfo, e_tokens, e_cryptoTokens, e_integrityCheckValue, e_needResponse, e_capacity, e_irrStatus, e_unsolicited, e_genericData }

## Public Member Functions

| H225_InfoRequestResponse (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_NonStandardParameter | m_nonStandardData
H225_RequestSeqNum | m_requestSeqNum
H225_EndpointType | m_endpointType
H225_EndpointIdentifier | m_endpointIdentifier
H225_TransportAddress | m_rasAddress
H225_ArrayOf_TransportAddress | m_callSignalAddress
H225_ArrayOf_AliasAddress | m_endpointAlias
H225_InfoRequestResponse_perCallInfo | m_perCallInfo
H225_ArrayOf_ClearToken | m_tokens
H225_ArrayOf_CryptoH323Token | m_cryptoTokens
H225_ICV | m_integrityCheckValue
PASN_Boolean | m_needResponse
H225_CallCapacity | m_capacity
H225_InfoRequestResponseStatus | m_irrStatus
PASN_Boolean | m_unsolicited
H225_ArrayOf_GenericData | m_genericData

## Member Enumeration Documentation

enum H225_InfoRequestResponse::OptionalFields

Enumerator:

  e_nonStandardData |
  e_endpointAlias |
  e_perCallInfo |
  e_tokens |
  e_cryptoTokens |
  e_integrityCheckValue |
  e_needResponse |
  e_capacity |
  e_irrStatus |
  e_unsolicited |
  e_genericData |

## Constructor & Destructor Documentation

H225_InfoRequestResponse::H225_InfoRequestResponse | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_InfoRequestResponse::GetDataLength | ( |  | ) | const

PBoolean H225_InfoRequestResponse::Decode | ( | PASN_Stream & | strm | ) |

void H225_InfoRequestResponse::Encode | ( | PASN_Stream & | strm | ) | const

void H225_InfoRequestResponse::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_InfoRequestResponse::Compare | ( | const PObject & | obj | ) | const

PObject* H225_InfoRequestResponse::Clone | ( |  | ) | const

## Member Data Documentation

H225_NonStandardParameter H225_InfoRequestResponse::m_nonStandardData

H225_RequestSeqNum H225_InfoRequestResponse::m_requestSeqNum

H225_EndpointType H225_InfoRequestResponse::m_endpointType

H225_EndpointIdentifier H225_InfoRequestResponse::m_endpointIdentifier

H225_TransportAddress H225_InfoRequestResponse::m_rasAddress

H225_ArrayOf_TransportAddress H225_InfoRequestResponse::m_callSignalAddress

H225_ArrayOf_AliasAddress H225_InfoRequestResponse::m_endpointAlias

H225_InfoRequestResponse_perCallInfo H225_InfoRequestResponse::m_perCallInfo

H225_ArrayOf_ClearToken H225_InfoRequestResponse::m_tokens

H225_ArrayOf_CryptoH323Token H225_InfoRequestResponse::m_cryptoTokens

H225_ICV H225_InfoRequestResponse::m_integrityCheckValue

PASN_Boolean H225_InfoRequestResponse::m_needResponse

H225_CallCapacity H225_InfoRequestResponse::m_capacity

H225_InfoRequestResponseStatus H225_InfoRequestResponse::m_irrStatus

PASN_Boolean H225_InfoRequestResponse::m_unsolicited

H225_ArrayOf_GenericData H225_InfoRequestResponse::m_genericData

The documentation for this class was generated from the following file:

- h225.h